GET v1/Policies/{policyId}/Contacts/{contactId}/Billing/Customer?numDaysPrior={numDaysPrior}
Gets Customer Billing Information for a policy
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| policyId |
The Id of the policy |
integer |
Required |
| contactId |
The Id of the contact |
integer |
Required |
| numDaysPrior |
Optional: number of days prior to today |
integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Customer Billing Information for a policy
Collection of PolicyBillingScreenTransactionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CreatedById |
Created by Id |
integer |
None. |
| LocationId |
Location Id |
integer |
None. |
| PaymentType |
Payment type |
string |
None. |
| RecordID |
Id of the record |
globally unique identifier |
None. |
| IsPayment |
Signifies whether the billing screen transaction is payment |
boolean |
None. |
| IsCredit |
Signifies whether the billing screen transaction is credit |
boolean |
None. |
| DBCD |
DBCD |
boolean |
None. |
| TransactionDate |
Transaction date |
string |
None. |
| DueDate |
Due date |
string |
None. |
| Description |
Description |
string |
None. |
| PolicyNumber |
Policy number |
string |
None. |
| IsVoided |
Signifies whether the billing screen transaction is voided |
boolean |
None. |
| Amount |
Amount |
decimal number |
None. |
| PdfId |
PDF id |
integer |
None. |
| SyncStatus |
Sync status |
integer |
None. |
| Due |
Due |
string |
None. |
| Paid |
Paid |
string |
None. |
| ErrorMessage |
Error message |
string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"CreatedById": 1,
"LocationId": 2,
"PaymentType": "sample string 3",
"RecordID": "c4f0ec9d-02f9-405f-aeec-d0902e88c95c",
"IsPayment": true,
"IsCredit": true,
"DBCD": true,
"TransactionDate": "sample string 8",
"DueDate": "sample string 9",
"Description": "sample string 10",
"PolicyNumber": "sample string 11",
"IsVoided": true,
"Amount": 13.0,
"PdfId": 1,
"SyncStatus": 14,
"Due": "sample string 15",
"Paid": "sample string 16",
"ErrorMessage": "sample string 17"
},
{
"CreatedById": 1,
"LocationId": 2,
"PaymentType": "sample string 3",
"RecordID": "c4f0ec9d-02f9-405f-aeec-d0902e88c95c",
"IsPayment": true,
"IsCredit": true,
"DBCD": true,
"TransactionDate": "sample string 8",
"DueDate": "sample string 9",
"Description": "sample string 10",
"PolicyNumber": "sample string 11",
"IsVoided": true,
"Amount": 13.0,
"PdfId": 1,
"SyncStatus": 14,
"Due": "sample string 15",
"Paid": "sample string 16",
"ErrorMessage": "sample string 17"
}
]
application/xml, text/xml
Sample:
<ArrayOfPolicyBillingScreenTransactionDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QQSolutions.NextGen.ModelLibrary.DataTransferObjects.Finance">
<PolicyBillingScreenTransactionDTO>
<Amount>13</Amount>
<DBCD>true</DBCD>
<Description>sample string 10</Description>
<Due>sample string 15</Due>
<DueDate>sample string 9</DueDate>
<ErrorMessage>sample string 17</ErrorMessage>
<IsCredit>true</IsCredit>
<IsPayment>true</IsPayment>
<IsVoided>true</IsVoided>
<Paid>sample string 16</Paid>
<PdfId>1</PdfId>
<PolicyNumber>sample string 11</PolicyNumber>
<RecordID>c4f0ec9d-02f9-405f-aeec-d0902e88c95c</RecordID>
<SyncStatus>14</SyncStatus>
<TransactionDate>sample string 8</TransactionDate>
<CreatedById>1</CreatedById>
<LocationId>2</LocationId>
<PaymentType>sample string 3</PaymentType>
</PolicyBillingScreenTransactionDTO>
<PolicyBillingScreenTransactionDTO>
<Amount>13</Amount>
<DBCD>true</DBCD>
<Description>sample string 10</Description>
<Due>sample string 15</Due>
<DueDate>sample string 9</DueDate>
<ErrorMessage>sample string 17</ErrorMessage>
<IsCredit>true</IsCredit>
<IsPayment>true</IsPayment>
<IsVoided>true</IsVoided>
<Paid>sample string 16</Paid>
<PdfId>1</PdfId>
<PolicyNumber>sample string 11</PolicyNumber>
<RecordID>c4f0ec9d-02f9-405f-aeec-d0902e88c95c</RecordID>
<SyncStatus>14</SyncStatus>
<TransactionDate>sample string 8</TransactionDate>
<CreatedById>1</CreatedById>
<LocationId>2</LocationId>
<PaymentType>sample string 3</PaymentType>
</PolicyBillingScreenTransactionDTO>
</ArrayOfPolicyBillingScreenTransactionDTO>